/*****************************************************************
 * Copyright (c) ParaSoft Corporation 1991.  All rights reserved.*
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft       *
 * The copyright notice above does not evidence any              *
 * actual or intended publication of such source code.           *
 *****************************************************************/

typedef struct Arg {
	char *type;
	char *name;
	int is_optional;
} Arg;
	
typedef struct Args {
	int nargs;
	Arg *arg [10];
} Args;

typedef struct Head {
	char *type;
	int proc;
	char *name;
	int nargs;
	Args *args;
} Head;

typedef struct Options {
	int noptions;
	char *option [10];
	char *compile_time;
} Options;

typedef struct Over {
	char *type;
	char *name;
	Args *args;
	struct Over *next;
} Over;

typedef struct Intrin {
	Head *head;
	Options *options;
	Over *over;
	unsigned is_over: 1;
} Intrin;
